Introduction
To help you take the necessary actions and migrate to the new embed endpoint, this guide details the different elements that are impacted. Please refer to the sections that are relevant to your integration and take the necessary steps to migrate accordingly.
Player ID requiredA Player ID is required for every supported embed. Embeds without a valid Player ID may be rejected with HTTP 403, and the Player will not be displayed.
Retrieve your Player ID from your Dailymotion Studio, or from the API when you create or retrieve a Player. Do not use an embed URL that does not contain a Player ID.
✓ Migration completed
All required elements have been sunset.
✓ Web embeds
Web embeds
Summary
Since October 15th 2024, any content embedded on the web using the legacy embed endpoint is automatically redirected to the new embed endpoint.
How does it impact you?
The default Player embed is no longer supported. A valid Player ID is required in the embed URL or embed script. An embed without a Player ID is rejected with HTTP 403 and the Player does not render. Query parameters don’t work anymore, except for ads_params, startTime and loop. See the recommended actions below.
The following legacy embed scripts:
# For video embeds:
<iframe src="https://www.dailymotion.com/embed/video/x84sh87"></iframe>
# For playlist embeds:
<iframe src="https://www.dailymotion.com/embed/playlist/x85ce2"></iframe>Will automatically redirect to:
# For video embeds:
<iframe src="https://geo.dailymotion.com/player/{PLAYER_ID}.html?video=x84sh87"></iframe>
# For playlist embeds:
<iframe src="https://geo.dailymotion.com/player/{PLAYER_ID}.html?playlist=x85ce2"></iframe>Timeline
From February 3rd 2026: All embeds using the legacy endpoint will automatically redirect to the new endpoint. Make sure to add a Player ID in your embed code.
Recommended actions
To keep embedding content on your website, you must specify a valid Player ID in your embed code. Create or select a Player in Dailymotion Studio, or create/retrieve one through the API, then use the returned Player ID in the iframe or script URL.
You can either continue embedding using iframes and update your embed code (scenario 1) or switch to more advanced embed options (scenario 2).
Why is a Player ID required:
- Benefit from your custom Player configuration
- Get accurate viewability performance
- Optimize monetization with custom parameters
Scenario 1: Migrate with iFrames
Update your embed URL – Replace the legacy embed endpoint in your iframe with the new embed endpoint.
Specify your Player ID – Create a unique Player configuration in your Dailymotion Studio and add the Player ID after /player in your iframe URL. Do not use https://geo.dailymotion.com/player.html?video=... or ...player.html?playlist=... without a Player ID: Those embeds will return HTTP 403, the Player will not show.
Your iframe script should look like this:
# For video embeds:
<iframe src="https://geo.dailymotion.com/player/x8lr5.html?video=x84sh87"></iframe>
# For playlist embeds:
<iframe src="https://geo.dailymotion.com/player/x8lr5.html?playlist=x85ce2"></iframe>Learn more about iframe embeds.
Scenario 2: Migrate to advanced embed methods
Switch to advanced integration methods – To benefit from enhanced customization options such as programmatic control over the Player and event handling. Two advanced integration methods are available depending on your technical preferences: Player Embed Script and Player Library Script.
Specify your Player ID – Add your Player ID after /player in the script.
The new embed endpoint with a Player ID will look like this:
# For video embeds:
<script src="https://geo.dailymotion.com/player/x8lr5.js" data-video="x84sh87"></script>
# For playlist embeds:
<script src="https://geo.dailymotion.com/player/x8lr5.js" data-playlist="x85ce2"></script># For video embeds:
<script src="https://geo.dailymotion.com/libs/player/x8lr5.js"></script>
<div id="my-dailymotion-player">My Player placeholder</div>
# For playlist embeds:
<script src="https://geo.dailymotion.com/libs/player/x8lr5.js"></script>
<div id="my-dailymotion-player">My Player placeholder</div>
// See full code samples: https://developers.dailymotion.com/docs/player-library-script✓ Legacy native SDKs
Legacy native SDKs
Summary
From February 3rd 2026 : any content embedded on native using our legacy Android and iOS SDK will no longer work as expected. This is caused by the fact that these legacy native SDKs rely on the legacy embed endpoint that we are deprecating.
How does it impact you?
If you keep using our legacy native SDKs after February 3rd 2025, we cannot guarantee that your content will work as expected on your app.
See the recommended actions to migrate to the new SDKs.
Timeline
From February 3rd 2025: Content embedded with the legacy Android and iOS SDKs will no longer work.
Recommended actions
It is required to migrate to our currently supported native SDKs before February 3rd 2026 to avoid any disruption. This will also allow you to benefit from using our new embed endpoint and specify a Player ID:
Why is a Player ID required:
- Benefit from your custom Player configuration
- Get accurate viewability performance
- Optimize monetization with custom parameters
If you do not specify a Player ID:
- The Player isn't displayed.
- The script returns a 403 error.
✓ `embed_html` field
embed_html field
embed_html fieldThe embed_html field has been removed from the Video and Livestream API responses. It is no longer available.
To embed content, use the Player Embed Script, Player Library Script, or iFrame embed methods with the new embed endpoint and a Player ID.
✓ `embed_url` field
embed_url field
embed_url fieldThe embed_url field has been removed from the Video and Livestream API responses. It is no longer available.
To embed content, use the Player Embed Script, Player Library Script, or iFrame embed methods with the new embed endpoint and a Player ID.
FAQ
What happens if I don’t complete the migration by February 3rd 2026?
All web embeds using our legacy embed endpoint will be automatically redirected to the new endpoint past February 3rd 2026, but will use a default Player configuration.
As a result, any Player customization previously applied via query parameters will no longer work (except for ads_params, startTime and loop). This may negatively impact your monetization performance as well as the overall user experience on your website.
To mitigate these potential issues, we recommend following the suggested actions outlined in this article, based on the specific elements that are impacted in your integration.
For content embedded with legacy native SDKs: From Feb 3rd 2026, legacy Player embeds will no longer work as expected
Why is my Player not showing?
If your embed URL does not contain a valid Player ID, the request can be rejected with a 403 error. The Player does not render, there may be no error screen in the page.
To solve this, you need to create or select a Player in Dailymotion Studio, or retrieve a Player ID through the API. Then add the ID after /player/ in your iFrame or script URL, and reload the embed.
